This Weekend Only: ALL Compressors  $29.99 each Compressor Flash Sale | Shop Now

Rolling Back

If you have inadvertently installed V13 plugins which cannot run on your system or host application and need to use V12 plugins, here are the instructions to roll back your plugins to V12.

Read More

If your system or host application does not support Waves V12.7 software and you have inadvertently updated, follow these steps to roll back to V12.0.

Read More

If you have inadvertently installed a plugin version which cannot run on your operating system or host application and need to use V11 plugins, here are the instructions to roll back your plugins to V11.

Read More

If you have inadvertently installed latest-version plugins that do not run on your operating system or host application and want to use V10 plugins, follow these instructions to revert your plugins to V10.

Read More

If you have installed the latest plugin versions, which will not run on V9 SoundGrid apps such as MultiRack, SoundGrid Studio, and StudioRack, follow these instructions to revert your plugins to version V10/V9.

Read More

Follow these steps if you inadvertently updated your Waves software version and wish to revert to Waves v9.92 plugins and v9.92-compatible Waves host applications (SoundGrid Studio, MultiRack, and eMotion LV1) using our dedicated offline installer.

Read More

Follow these steps if you updated your Waves software version inadvertently and wish to revert to Waves v9.6 plugins and v9.6-compatible Waves host applications (SoundGrid Studio, MultiRack, and eMotion LV1) using our dedicated offline installer.

Read More

If, for any reason, you wish to remove the latest version of Waves plugins or bundles and install v9.3 versions instead, please follow these instructions.

Read More